> For the complete documentation index, see [llms.txt](https://docs.blockz.fi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockz.fi/api/supported-networks-and-tokens.md).

# Supported Networks & Tokens

#### **List Networks**

[Swagger UI](https://swagger.blockz.fi/swagger/index.html)

Retrieve the list of blockchain networks supported by Blockz.

```http
GET /affiliate/v1/networks
```

**Response Example:**

```json
[
  {
    "id": 1,
    "name": "Ethereum",
    "type": "EVM",
    "supports_optimized_swap": false,
    "icon_url": "https://assets.hotpot.tech/icons/1/tokens/usdt.png",
    "supports_custom_tokens": false
  }
]
```

{% hint style="info" %}
**Note:** If `supports_custom_tokens` is set to `true` for a network, custom tokens can be used on that network. In this case, the tokens returned by the API represent commonly used tokens and do not constitute a complete list of all supported tokens.
{% endhint %}

***

#### **List Tokens**

[Swagger UI](https://swagger.blockz.fi/swagger/index.html)

Retrieve a paginated list of tokens supported by Blockz across all networks.

This endpoint supports:

* Pagination
* Filtering by network
* Search by token symbol, name, or contract address

```http
GET /affiliate/v1/tokens
```

Possible Query Params:

| Name        | Type    | Required | Description                                                   |
| ----------- | ------- | -------- | ------------------------------------------------------------- |
| limit       | integer | false    | Maximum number of tokens to return                            |
| offset      | integer | false    | Number of tokens to skip before starting to return results    |
| q           | string  | false    | Search query for token symbol, token name or contract address |
| network\_id | integer | false    | Filter tokens by network                                      |

Response example:

```json
{
  "data": [
    {
      "network_id": 1,
      "name": "Tether USD",
      "contract_address": "0xdac17f958d2ee523a2206206994597c13d831ec7",
      "symbol": "USDT",
      "icon_url": "https://assets.hicrystal.com/icons/1/tokens/usdt.png",
      "wrapped_token_address": null
    }
  ],
  "pagination": {
    "limit": 10,
    "offset": 0,
    "pages": 10,
    "total": 500
  }
}
```

{% hint style="info" %}
**Note:** If a token has a non-empty `wrapped_token_address` in the response, the token must be wrapped before use. See the [Wrap native tokens](/on-chain-helpers/wrap-native-tokens.md) section for more details.
{% endhint %}
